Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.ThermostatOperatingState (grizzly v7.4.2)

"ThermostatOperatingState" Command Class

The Thermostat Operating State Command Class is used to obtain the operating state of the thermostat.

# Summary

## Types

state()

## Functions

decode_state(byte)
encode_state(atom)

# Types

Link to this type

# state()

View Source

    @type state() ::
      :idle
      | :heating
      | :cooling
      | :fan_only
      | :pending_heat
      | :pending_cool
      | :vent_economizer

# Functions

Link to this function

# decode_state(byte)

View Source

    @spec decode_state(byte()) :: {:ok, state()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_state(atom)

View Source

    @spec encode_state(state()) :: byte()